Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008152 [DCSS] Patches tweak N/A 2014-02-13 23:58 2014-09-16 01:19
Reporter n1000 View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0008152: Rename scroll of vulnerability to scroll of purge magic and increase appearance slightly
Description The new name emphasizes the scroll's ability to remove magical effects from the player.

The scroll's effect is an interesting one, but they were too rare to get much use. This patch increases their appearance to curse weapon levels, somewhat reducing the weight of remove curse scroll generation.
Additional Information
Tags No tags attached.
Attached Files ? file icon purge_magic_scroll2.patch [^] (20,481 bytes) 2014-02-15 07:48 [Show Content]

- Relationships

-  Notes
(0025314)
gammafunk (administrator)
2014-02-15 06:56

One small issue I found is that instances of _vulnerability_scroll() should be renamed to something like _purge_magic_scroll() in item_use.cc
(0025318)
n1000 (reporter)
2014-02-15 07:49

Thanks for all your help, gammafunk. I uploaded a new patch which consolidates all of the renames into one commit, clarifies the commit messages, and renames that function.
(0025460)
MarvinPA (developer)
2014-03-05 10:42

Resolving this since the weight increase has been pushed, and that's the important bit. The rename I think sort of just shifts the focus onto the scroll's other effect so still has the same problem as the current name, I'm not a huge fan (not strongly opposed if someone else wants to re-open/push the rename/come up with some other better name though).

- Issue History
Date Modified Username Field Change
2014-02-13 23:58 n1000 New Issue
2014-02-13 23:58 n1000 File Added: purge_magic.patch
2014-02-14 19:33 MarvinPA Issue Monitored: MarvinPA
2014-02-15 06:56 gammafunk Note Added: 0025314
2014-02-15 07:48 n1000 File Added: purge_magic_scroll2.patch
2014-02-15 07:49 n1000 Note Added: 0025318
2014-02-17 03:46 chris File Deleted: purge_magic.patch
2014-03-04 00:36 MarvinPA Issue End Monitor: MarvinPA
2014-03-05 10:42 MarvinPA Note Added: 0025460
2014-03-05 10:42 MarvinPA Status new => resolved
2014-03-05 10:42 MarvinPA Fixed in Branch => 0.14 development branch
2014-03-05 10:42 MarvinPA Resolution open => done
2014-03-05 10:42 MarvinPA Assigned To => MarvinPA
2014-09-16 01:19 n1000 Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker